error.0= SDX - Erreur : {0}

error.1= SDX - Serveur - Configuration : Unable to load SDX Framework Configuration file from : {0}, the necessary configuration file DOES NOT EXIST at this location: {1}!
error.2= SDX - Serveur - Configuration : There was an error reading the SDX configuration file from : {0}
error.3= SDX - Serveur - Configuration : There was an error reading the configuration file for the application, "{0}" from : {1}
error.4= SDX - Serveur - Configuration : No applications have been specified for configuration, please create an empty file, named for each of your application directories, but having no extension in the {0} directory !
error.5= SDX - Serveur - Configuration : Unable to configure the Lucene SDX internal field at {0} : {1}
error.6= SDX - Serveur - Configuration : Unable to load the configuration file for the application, "{0}", from : {1}, the necessary configuration file DOES NOT EXIST at this location!
error.7= SDX - Serveur - Configuration : An SDX application must have at least one document base, please revise your configuration file, "{0}", and add a <sdx:documentBases> element and at least one <sdx:documentBase> subelement.
error.8= SDX - Serveur - Configuration : Unable to configure the document base at {0} : {1}
error.9= SDX - Serveur - Configuration : Unable to configure the repository with the id "{0}" : {1}
error.10= SDX - Serveur - Configuration : Unable to configure the {0}; the class "{1}" for the type specified, {2}, does not implement the sdx interface {0}.
error.11= SDX - Serveur - Configuration : An SDX application must have at least one repository; please revise your configuration file, "{0}", and add a <sdx:repositories> element and at least one <sdx:repository> subelement.
error.12= SDX - Serveur - Configuration : The <sdx:application> element in the configuration file for the SDX application residing in the subdirectory, "{0}", must have an publicId attribute value which is not an empty string, please make the appropriate revision to the configuration file at : {1}
error.13= SDX - Serveur - Configuration : Unable to configure a user document base based on configuration data from {0}, nor {1}, please revise one of these files and create a <sdx:userDocumentBase> element containing the necessary configuration data.
error.14= SDX - Serveur - Configuration : The <sdx:documentBase> element within the application configuration file must have a <sdx:fieldList> child element, please make the necessary revision to the configuration file at : {0}
error.15= SDX - Serveur - Configuration : Unable to find an <sdx:luceneSDXInternalFields> in the sdx configuration file, these fields are necessary for Term querying, please revise the file at : {0}
error.16= SDX CONFIGURATION FAILURE: Unable to find an <sdx:pipeline> element at, {0}, the element should have an <sdx:index> subelement containing an <sdx:pipeline> element defining some transformations.
error.17= SDX - Serveur - Configuration : Unable to find any <sdx:transformation> elements within the <sdx:pipeline> element, atleast one transformation is necessary for document indexation, please revise the configuration file at : {0}
error.18= SDX - Serveur - Configuration : Unable to find a valid id attribute for the configuration element at {0}, please revise this configuration file by adding a valid, non-empty, String value.
error.19= SDX - Serveur - Configuration : The attribute with the name, "{0}", at {1}, was an empty String, attribute values cannot be empty Strings, please revise the configuration file.
error.20= SDX - Serveur - Configuration : Unable to find a <sdx:repository> child element, a URLRepository definition containing a <sdx:cache> element must have a <sdx:repository> child element defined, please revise the configuration file at : {0}
error.21= SDX - Serveur - Configuration : The <sdx:fieldList> or <sdx:luceneSDXInternalFields> element within the application or SDX configuration file must have <sdx:field> child elements as these fields are necessary indexing and searching, please make the necessary revisions to the configuration file at : {0}
error.22= SDX - Serveur - Configuration : No application directory found with the name, {0}.
error.23= SDX - Serveur - Configuration : An SDX configuration must have at least one pipeline, please revise your configuration file, "{0}", and add a <sdx:pipelines> element and at least one <sdx:pipeline> subelement.
error.24= SDX - Serveur - Configuration : Unable to configure the pipeline at {0} : {1}
error.25= SDX - Serveur - Configuration : Unable to add the entity catalog file at "{0}", to the catalog resolver : {1}
error.26= SDX - Serveur - Configuration : Unable to able to acquire the sdx entity resolver from Cocoon.
error.27= SDX - Serveur - Configuration : Unable to find an <sdx:catalogs> element defining entity catalogs(<sdx:catalog>) within the <sdx:documentBases> element at : {0}
error.28= SDX - Serveur - Configuration : No application level repositories specified for the application, "{0}".
error.29= SDX - Serveur - Configuration : Unable to load the referenced repository with the name "{0}"; it does not exist.
error.30= SDX - Serveur - Configuration : The field with the code, {0}, is defined as the default field, but a default field already exists, please revise your application.xconf or sdx.xconf to ensure only one default field is defined.
error.31= SDX - Serveur - Configuration : Unrecognized document base configuration with the element name "{0}".
error.32= SDX - Application - Configuration : Unable to configure the application at, {0} .
error.33= SDX - Serveur - Configuration : There was no Security Manager available, please restart Tomcat in secure mode with the appropriate policy specification.
error.34= SDX - Serveur - Configuration : The system property, "{0}", with the value "{1}", does not match the desired value, "{2}". RMI communication may not function properly!
error.35= SDX - Serveur - Configuration : Unable to read or modify system properties, insufficent privileges.
error.36= SDX - Serveur - Configuration : Unable to create rmi registry.
error.37= SDX - Serveur - Configuration : Unable to configure query parser.
error.38= SDX - Serveur - Configuration : Unable to bind remote index with the name, "{0}";
error.39= SDX - Serveur - Configuration : Unable to configure id generator.
error.40= SDX - Serveur - Configuration : Unable to configure the transformation with the id, {0}.
error.41= SDX - Serveur - Configuration : Unable to configure the thesaurus at {0} : {1}
error.42= SDX - Serveur - Configuration : Unable to load the referenced field list with the id "{0}"; it does not exist.
error.43= SDX - Serveur - Configuration : No application level field lists specified for the application, "{0}".
error.44= SDX - Application - Configuration : No oai_dc format defined in the oai repository for the document base with the id "{0}".
error.45= SDX - Application - Configuration : Sdx fields defined for use in oai-sets must be in brief, "{0}" is not a brief field.
error.46=SDX CONFIGURATION FAILURE: The object, {0}, with the identifier, {1}, is not unique. An other object exists with the same identifier; please ensure that identifiers are unique.
error.47= SDX - Serveur - Configuration : Granularité OAI inconnue "{0}".



error.100= SDX - Fichiers : impossible de trouver un répertoire, le chemin est vide ou nul.
error.101= The file object created to represent the directory to be verified was null, please verify the directory path.
error.102= SDX - Fichiers : {0}, impossible de créer ce répertoire.
error.103= SDX - Fichiers : {0}, n\'est pas un répertoire.
error.104= SDX - Fichiers : {0}, impossible de lire ce répertoire.
error.105= SDX - Fichiers : {0}, impossible d\'écrire dans ce répertoire.
error.106= SDX - Fichiers : {0}, impossible de résoudre ce chemin relatif, l\'objet Properties fourni est nul.
error.107= SDX - Fichiers : {0}, impossible de résoudre ce chemin relatif, il est nul ou vide.
error.108= SDX - Fichiers : {0}, impossible de trouver ce fichier.
error.109= Unable to configure the object, the configuration object provided was null.
error.110=Unable to get the remote index with the name, {0}  .
error.111=Unable to get terms from the lucene query.
error.112=Unable to build a url object from the url, {0} .
error.113=Unable to get a sql connection to the standalone hsql database at, {0}.
error.114=There was a problem retrieving parameters from the provided Parmeters object.



error.200= Error trying to read the Lucene index located at {0} : {1}
error.201= Error trying to retrieve a Lucene document in directory {0} : {1}
error.202= Error trying to search the Lucene index located at {0} : {1}
error.203= Unable to get a searcher object for the Lucene index located at {0}
error.204= Error trying to write to the Lucene index located at {0} : {1}
error.205= Error trying to delete a document in the Lucence index located at {0} : {1}
error.206= Error trying to create a Lucene FSDirectory object for the directory located at {0} : {1}
error.207= Error the String object provided intended to represent the object, "{0}", was invalid; it was either null or an empty String.
error.208= Error closing Lucene TermDocs for the term , "{0}" : {1}
error.209= Unable to close the searcher for the query, "{0}"
error.210= Error closing Lucene TermEnum for the field, "{0}" : {1}
error.211= Error closing Lucene Reader, "{0}" : {1}
error.212= The id specified for the object, "0", was invalide; it was either null or an empty String.
error.213= The OutputStream provided was null.
error.214= The XMLConsumer provided was null.
error.215= The ContentHandler provided was null.
error.216= The Locale provided was null.
error.217= The default encoding, "{0}", is not supported by the system : {1}
error.218= The Lucene Query provided was null.
error.219= Unable to close stream.
error.220= The instance of the new object generated for the class having the name, {0} was null.
error.221= The service manager was null, please use the service() method to provide a service manager before executing this method.
error.222= SDX - Serveur - framework : Impossible d\'obtenir l\'environnement
error.223= Error trying to optimize the Lucene index located at {0}
error.224=Error calling commit on sql connection.
error.225=Error calling rollback on sql connection.
error.226=Error calling setAutoCommit on sql connection.

error.300= Unable to create a Lucene field, there was a problem with the name, "{0}" (cannot be null or and empty String) or the value, "{1}" (cannot be null).
error.301=There was a problem initializing the database with the id, "{0}".
error.302=There was a problem retrieving the entity with the id, "{0}".
error.303=There was a problem retrieving all entities from the database with the id, "{0}".
error.304=There was a problem configuring the database with the id, "{0}".
error.305=No HSQL database available.
error.306=There was a problem searching the database with the id, "{0}".
error.307=There was a problem saving the entity with the id, "{0}", to the database with the id, "{1}".
error.308=There was a problem deleting the entity with the id, "{0}", from the database with the id, "{1}".
error.309=There was a problem deleting all entities of the database with the id, "{1}".
error.310=There was a problem creating an index on the table with the name, "{0}", in the database with the id, "{1}".
error.311=There was a problem adding the property to the entity with the id, "{0}", in the database with the id, "{1}".
error.312=There was a problem removing the property of the entity with the id, "{0}", from the database with the id, "{1}".
error.313=There was a problem removing the properties having the property named, "{0}", with the value, "{1}", from the database with the id, "{1}".
error.314=There was a problem optimizing the Database with the id, {0} .


error.400= The new user id provided for the super user cannot be null or an empty String.
error.401= The new password provided for the super user cannot be null or an empty String.
error.402= There was a problem with the new super user information.
error.403= There was a problem writing the new super user file at {0} .
error.404= Unable to authenticate the super user with the provided id, {0}, and password, {1} .
error.405= The super user password provided was not correct.
error.406= Unable to get the desired encrytion algorithm.
error.407= There was a problem reading the super user file at {0} .
error.408= The data in the super user file at {0}, is invalid. You need to delete this file and reconfigure the framework.
error.409= The super user properties for this sdx installation are not set.
error.410= Unable to create the application registration file at {0} .

error.1000= SDX - app : L\'application, "{0}" n\'est pas enregistrée sur ce serveur.
error.1001= SDX - app - base : "{0}", base de document indéfinie pour cette application : "{1}".
error.1002= SDX - app - repo : "{0}", cet entrepôt n\'est pas défini pour l\'application "{1}".
error.1003= Unable to retrieve the user document for the username, "{0}" : {1}
error.1004= The Identity object provided was null.
error.1005= The thesaurus,"{0}", is not defined within this application "{1}".


error.2000= Il n\'existe pas de document avec l\'identifiant, "{0}", pour la base, "{1}".
error.2001= Document indexation failure: Unable to acquire a parser from Cocoon : {0}
error.2002=Unable to delete the document with the id, "{0}", it is owned by other document(s) in the document base with the id, "{1}". This document will only be deleted when all of its owners are deleted.
error.2003=Unable to add the document with the id , "{0}", it already exists in the document base with the id, "{1}", and the repository with the id, "{2}" .

error.2100= The repository object provided for indexation was null, using the default repository for the LuceneDocumentBase having the id, "{0}".
error.2101= The id of the supplied repository must be valid for document storage and retrieval, this id cannot be null or an empty string.
error.2102= Unable to retrieve a repository containing the document having the id, "{0}", the document does not exist in this document base;

error.3000= Unable to add the document with the id, "{0}, to the repository with the id, "{1}" : {2}
error.3001= Unable to get the document with the id, "{0}, from the repository with the id, "{1}" : {2}
error.3002= No document with the id, "{0}", exists within the Repository having the id, "{1}".
error.3003= Unable to empty the files in the repository with the id, "{0}" : {1}
error.3004= Unable to delete the document with the id, "{0}, from the repository with the id, "{1}" : {2}
error.3005= The connection provided to the repository with the id, "{0}" , was null.
error.3006= Unable to close the connection to the repository with the id, "{0}" : {1}
error.3007= Unable to get a connection to the repository with the id, "{0}" : {1}
error.3008= Unable to initialize the repository with the id, "{0}" : {1}
error.3009= Unable to determine size of the repository with the id, "{0}" : {1}
error.3010= Unable to close the SQL Connection: {0}


error.3200= Unable to close the result set for the JDBCRepository with the id, "{0}" : {1}
error.3201= Unable to acquire a datasource componenet from Cocoon : {0}
error.3202= Unable to create the table, "{0}" : {1}
error.3203= Unable to close the SQL Prepared Statement for the JDBCRepository with the id, "{0}" : {1}





error.3400= Unable to commit changes to the datasource, {0} : {1}
error.3401= Unable to rollback changes to the datasource, {0} : {1}
error.3402= Unable to setAutoCommit to the datasource, {0} : {1}

error.3500= Unable to close the SQL Connection in the JDBCRepositoryConnection : {0}




error.4000= The SearchLocations object provided was null.
error.4001= Unable to find the requested field, "{0}", for searching.
error.4002= No results to sort.
error.4003= Impossible to obtain the results of the search.
error.4004= The Field object provided was null.

error.4100= The String object specified as a query was null.
error.4101= Impossible de comprendre la requête, "{0}".
error.4102= Unable to initialize the LuceneIndex, the MetaAnalyzer was null.
error.4103= Unable to execute the query, the Searcher object retrieved was null.
error.4104= Unable to execute the query, "{0}" : Unable to read the search index of {1} : {2}
error.4105= Unable to get the document from the search hits : {0}
error.4106= The specified field, "{0}, is not a field of type date.
error.4107= A beginning or a completion date is required, please verify that atleast one of the specified dates is not null.
error.4108= No query terms specified; the object provided was null, you must specify at least a one search criteria.
error.4109= Unable to setUp query, the query parser was null.
error.4110= Unable to get a query parser.


error.4200= The String object specified as a field name was null.
error.4201= Unable to setUp Terms : {0}
error.4202= Unable to get Terms : {0}

error.4300= Unable to construct the MetaAnalyzer, the FieldsDefintion object provided was null.
error.4301= Unable to load the analyzer for the class name "{0}" .
error.4302= Unable to load configuration file for analyzer "{0}" .
error.4303= Error processing configuration file for analyzer "{0}" .
error.4304= Unable to set analyzer "{0}" .

error.4400= Unable to setUp Results : {0}
error.4401= The document with the number, "{0}", does not exist in these results.

error.4500= Unable to build a Lucene ParallelMultiSearcher object from the search indices : {0}
error.4501= Unable to get the first field.
error.4502= Unable to get the default field.
error.4503=Unable to build a Lucene MultiReader object from the search indices : {0}

error.4600= Unable to setUp TermInfo : {0}
error.4601= Unable to set the document id for the term, {0} : {1}

error.4700= The Lucene filter provided was null; please specify a valid filter.
error.4701= The value specified was invalid; it was either null or an empty String, please specify a valid value.

error.4800= Unable to setUp the ResultDocument; the Lucene Document provided was null.

error.4900= No results to sort.
error.4901= The sort order specified was invalid.

error.5000= SDX - Document - nul : L\'objet document fourni est nul.
error.5001= SDX - Document - id : Impossible de déterminer un identifiant pour ce  document (si fournie, URI="{0}").
error.5002= SDX - Document - source : Impossible d\'atteindre une source pour le document {0} ; {1}
error.5003= SDX - Document - taille : Impossible de déterminer la taille du document (URI={0}) : {1}
error.5004= SDX - Document - URI : Impossible de construire une URI avec "{1}" pour le document "{0}".
error.5005= SDX - Document - source : Impossible d\'atteindre une source pour le document {0}.
error.5006= SDX - Document - id : Le générateur d\'identifiants proposé est nul, le générateur par défaut a été utilisé.
error.5007= SDX - Document - id : Impossible de générer un identifiant pour ce document, le générateur proposé est nul.

error.5100= SDX - Document - XML : erreur dans le document à {0}, le parseur fourni est nul.
error.5101= SDX - Document - XML : erreur dans le document à {0} : {1}
error.5102= Unable to set the transformed document for the document with the id, {0}, the content provided was null.

error.6000= SDX - Application - Identités : Pas d\'utilisateur ou de groupe avec l\'identifiant "{0}", if null please ensure this object has a name, the Identity.setName(String name) method can be used for this purpose.
error.6001= Invalid name; the name provided was either null or an empty String.
error.6002= Invalid groups; the list of groups provided was null.

error.7000= The pipeline, "{0}", does not exist within this SDX installation
error.7001= Unable to generate a new instance of the pipeline with the id, "{0}" : {1}
error.7002= Unable to build the temporary transformed file.
error.7003=Unable to get transformed file.

error.8100= The id for the application from which the documents should be deleted was invalid, it cannont be null or an empty string.
